/* background et container */
.page-news{
    background-image: url("../../images/fond-news.png");
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}

.page-news-container{
    width:65%;
    margin: 0 auto;
    padding-bottom:100px;
}

.post-container{
    margin: 50px auto;
    display: flex;
    flex-direction: column;
    gap: 50px;
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-post-grid-column{
        border-right-width: 1px;
        border-top-width: 1px;
        border-left-width: 1px;
        border-bottom-width: 1px;
        border-color: #00000000;
        border-style: solid;
        position: relative;
        transition:all 0.2s ease;
        padding: 15px;
        &:hover{
            border-right-width: 1px;
            border-top-width: 1px;
            border-left-width: 1px;
            border-bottom-width: 1px;
            border-color: #A5A7B063;
            border-style: solid;
            transition:all 0.3s ease;
        }
    }
    & .ebpg-entry-header{
        position:relative;
        & h2{
            margin:0 !important;
            font-family:'AmaranthBold';
            & a{
            transition: all 0.3s ease;
            &:hover{
                color:var(--argent) !important;
                transition: all 0.3s ease;
            }
            }
        }
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-footer-meta{
        margin:5px 0 !important;
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-grid-post-excerpt p{
        margin:0;
        font-size:0.9rem;
        text-transform: none;
        line-height: 1.2;
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-header-meta{
        margin: 0 !important;
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-readmore-btn a{
        font-family:'Rambla';
        font-weight:700;
        color:var(--white);
        border:1px solid var(--white);
        padding: 10px 20px;
        transition: all 0.3s ease;
        position:absolute;
        bottom:5px;
        width:120px;
        &:hover{
            background-color:var(--argent);
            border:1px solid var(--black);
            color:var(--black);
            transition: all 0.3s ease;
        }
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-entry-thumbnail img{
        aspect-ratio: 3/2;
        transition: all 0.3s ease;
    }

}

.eb-post-grid-wrapper.eb-post-grid-rvgla.style-4 .ebpg-grid-post-holder .ebpg-entry-media{
    overflow:hidden;
}

.ebpg-entry-thumbnail:hover img{
    scale:1.1;
    rotate:-2deg;
    transition: all 0.3s ease;
}

.ebpg-entry-thumbnail{
    transition: all 0.3s ease;
}

.eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-grid-post-holder .ebpg-entry-thumbnail::after{
    transition: all 0.3s ease;
}


/* -----------------------------------------
---------------- responsive ----------------
----------------------------------------- */
@media screen and (max-width:992px){
    .page-news-container {
        width: 70%;
    }
}


@media screen and (max-width:768px){
    .page-news{
        background-attachment: scroll;
    }
    .eb-post-grid-wrapper.style-4 .ebpg-grid-post-holder{
        flex-direction: column;
    }
    .page-news-container {
        width: 85%;
        padding-bottom: 20px;
    }

    .post-container{
        & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-grid-post-excerpt p{
        font-size:0.8rem;
    }
    }
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-readmore-btn a{
        padding: 8px !important;
        width:80px !important;
        font-size: 0.7rem !important;
        position:relative !important;
        margin-top: 10px;
        bottom:0 !important;
    }

    .eb-post-grid-wrapper.eb-post-grid-rvgla.style-4 .ebpg-grid-post-holder .ebpg-entry-media{
            width:100% !important;
        }

        .eb-post-grid-wrapper.eb-post-grid-rvgla.style-4 .ebpg-grid-post-holder .ebpg-entry-wrapper{
            width:100% !important;
        }

        .eb-post-grid-wrapper.eb-post-grid-rvgla .eb-post-grid-posts-wrapper{
            grid-template-columns: repeat(2,minmax(0,1fr));
            gap: 30px;
        }
}


@media screen and (max-width:576px){
    .post-container{
        width:100% !important;
        margin:30px auto;
    & .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-readmore-btn a{
        padding: 8px !important;
        width:80px !important;
        font-size: 0.7rem !important;
        position:relative !important;
        margin-top: 10px;
        bottom:0 !important;
    }
    }

    .eb-post-grid-wrapper.eb-post-grid-rvgla .eb-post-grid-posts-wrapper{
            grid-template-columns: repeat(1,minmax(0,1fr));
            gap: 0;
        }

    .eb-post-grid-wrapper.eb-post-grid-rvgla .ebpg-entry-thumbnail img{
        height: 180px;
    }
}